Metadata Configuration - Get
Retrieves the OpenID Configuration data for the Azure Attestation Service
Retrieves metadata about the attestation signing keys in use by the attestation service
GET {instanceUrl}/.well-known/openid-configuration
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
instance
|
path | True |
string |
The attestation instance base URI, for example https://mytenant.attest.azure.net. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Error response describing why the operation failed |
Examples
Get OpenID Metadata
Sample request
GET https://instance.attest.azure.net/.well-known/openid-configuration
Sample response
{
"response_types_supported": [
"token",
"none"
],
"id_token_signing_alg_values_supported": [
"RS256"
],
"revocation_endpoint": "https://mytest.attest.azure.net/revoke",
"jwks_uri": "https://mytest.attest.azure.net/certs",
"claims_supported": [
"is-debuggable",
"sgx-mrsigner",
"sgx-mrenclave",
"product-id",
"svn",
"tee",
"device_id",
"component_0_id",
"expected_components"
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from Attestation. |
|
Cloud |
An error response from Attestation. |
|
Open |
The response to the OpenID metadata description document API |
CloudError
An error response from Attestation.
| Name | Type | Description |
|---|---|---|
| error |
An error response from Attestation. |
CloudErrorBody
An error response from Attestation.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| message |
string |
A message describing the error, intended to be suitable for displaying in a user interface. |
OpenIDConfigurationResponse
The response to the OpenID metadata description document API
| Name | Type | Description |
|---|---|---|
| claims_supported |
string[] |
Set of claims supported by the OpenID metadata endpoint |
| id_token_signing_alg_values_supported |
string[] |
List of the supported signing algorithms |
| issuer |
string |
Issuer tenant base endpoint |
| jwks_uri |
string |
The URI to retrieve the signing keys |
| response_types_supported |
string[] |
Types supported in the OpenID metadata API |
| revocation_endpoint |
string |
Revocation endpoint |